#!/usr/bin/perl -w

use strict;
use warnings;

use File::Glob qw(bsd_glob);
use PkgSize 1.000_003;

our $VERSION = 1.000_003;

PkgSize::read_names();

foreach my $pkg_file ( bsd_glob("$PkgSize::DPKG_DIR/info/*.list") ) {
    if ( $pkg_file =~ m{\A$PkgSize::DPKG_DIR/info/(.*?).list\z}smx ) {
        my $pkg = $1;

        next if ( $pkg =~ /l10n/smx );

        my $size = PkgSize::get_size($pkg);
        next if ( not defined $size );

        my $name = PkgSize::get_name($pkg);
        if ( ( defined $name ) and ( $name ne $pkg ) ) {
            $pkg .= q{ (} . $name . q{)};
        }

        print {*STDOUT} "$size\t$pkg\n";
    }
}
